Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jul 2021 08:49:34 +0000

Hi Hamza Nomani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have called countless times since I requested my return on 21st june, which is the same date I received my order. 
I have also called countless times before my delivery on 21st June as I made the order on  12 June. 

The whole customer service team is highly inefficient and ineffective as well as Suha from management … she promised me that my issue will be solved … I want refund as well as compensation https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2868186